From 8ed1b107109321401e96c89cd6d022c8e0a69bac Mon Sep 17 00:00:00 2001
From: mohit <mohit.p@variscite.com>
Date: Tue, 23 Mar 2021 09:19:24 -0700
Subject: [PATCH 3/6] sepolicy: allow wifi_data_file access.

---
 prebuilts/api/30.0/public/vendor_init.te | 1 +
 public/vendor_init.te                    | 1 +
 2 files changed, 2 insertions(+)

diff --git a/prebuilts/api/30.0/public/vendor_init.te b/prebuilts/api/30.0/public/vendor_init.te
index 36bb5cbd7..26fdf0a8c 100644
--- a/prebuilts/api/30.0/public/vendor_init.te
+++ b/prebuilts/api/30.0/public/vendor_init.te
@@ -74,6 +74,7 @@ allow vendor_init {
   -vold_metadata_file
   -gsi_metadata_file
   -apex_metadata_file
+  -wifi_data_file
 }:file { create getattr open read write setattr relabelfrom unlink map };
 
 allow vendor_init {
diff --git a/public/vendor_init.te b/public/vendor_init.te
index 36bb5cbd7..26fdf0a8c 100644
--- a/public/vendor_init.te
+++ b/public/vendor_init.te
@@ -74,6 +74,7 @@ allow vendor_init {
   -vold_metadata_file
   -gsi_metadata_file
   -apex_metadata_file
+  -wifi_data_file
 }:file { create getattr open read write setattr relabelfrom unlink map };
 
 allow vendor_init {
-- 
2.25.1

